Member Nodes - Task #8566

MNDeployment # 3234 (Testing): CyVerse (iPlant) member node
Story # 8564 (New): (CyVerse) Testing & Development

Test Registration

2018-04-19 18:13 - Amy Forrester

Status: In Progress Start date: 2018-04-19
Priority: Normal Due date:

Assignee: Rob Nahf % Done: 30%
Category: Estimated time: 0.00 hour

Target version:

Story Points:

Description

Custom nodes will start off by first registering in Sandbox. Nodes using an existing MN software will register in Stage.

Node contact subject approved by D1 admin in DataONE LDAP.

Node software configuration - synchronization enabled if applicable.

Node registration document generated and submitted to Sandbox or Stage CN.

D1 Admin approves node registration on the Sandbox or Stage CN server.

Monitor and verify synchronization, indexing, search behavior.

* MN approves display of information in test search interface (https://search-sandbox.test.dataone.org/#data or
https://search-stage.test.dataone.org/#data)
A note for custom implemented DataONE services: It's expected that development and testing will be more iterative. When satisfied
with results in sandbox, repeat the process by changing target to cn-stage.

History

#1 - 2018-04-20 02:12 - Amy Forrester
- % Done changed from 0 to 30
- Assignee set to Rob Nahf

- Status changed from New to In Progress

3/19/18: from Rob to Sarah Roberts

we'll only need to test the MNCore and MNRead apis. We do have a web site that runs basic api and connectivity tests. Once enough of those
pass, we'll register you into a testing environment to iron out any potential issues with data display in our indexes before moving to production
* The testing site is http:/mncheck.test.dataone.org:8080/MNWebTester v2.3-SNAPSHOT r18433/.

#2 - 2018-05-14 15:31 - Amy Forrester

Rob:exchanged emails with Sarah at CyVerse to explain the test results. Sarah did get to debugging last week, using the web tester

#3 - 2018-05-29 02:37 - Amy Forrester

5/22/18: CyVerse ready with the APIs, and just need them to provide metadata and resource map examples in the collection to test before we register
them to an environment.

#4 - 2018-06-19 16:09 - Amy Forrester

6/19/18: resource maps up and running. Generating test certificates(probably in a day, +/-). At that point, we can start synchronizing and indexing

2024-03-13 1/2



https://search-sandbox.test.dataone.org/#data
https://search-stage.test.dataone.org/#data
http://mncheck.test.dataone.org:8080/MNWebTester_v2.3-SNAPSHOT_r18433/

content and go from there.

#5 - 2018-07-14 01:31 - Rob Nahf
Registered CyVerse in STAGE so their content is demo-able at the DUG or ESIP. We worked through harvest issues, corrected some formatlds, and
registered schemas for datacit.org (kernel-3.0, kernel-3.1)

Content for 2 projects is synchronizing.

#6 - 2018-09-06 15:46 - Amy Forrester

from Rob: Cyverse is doing some storage refactoring in anticipation of integrating with DataONE. This will impact their timeline (+1 month?). Prior to
that we didn’t have a great sense that they were handling updates properly, so we will need to reassess once they get back in touch with me.
Additionally, they will need to register their genomics data formats. | haven't heard back from them on that either. My assumption is that we are
not as high of a priority for them as other things they have going on

#7 - 2018-09-24 17:29 - Amy Forrester

9/14/18: from Sarah Roberts sarahr@cyverse.org

I've got two pull requests waiting for review. Some of the code changes were a little complicated, so | requested several reviews in order to make
sure that there aren’t any bugs and that the code will be maintainable in the future. | think that these are the last of the changes we’ll have to
make, at least initially.

I'll run through the automated tests again as soon as the changes have been merged in.

#8 - 2019-04-16 17:17 - Amy Forrester
4/12/19: from Sarah Roberts

| spent a little time looking this over today. The change that | was making was related to the placement of the metadata files. The files are now
going to be placed into a different directory than the data set, which will prevent us from having to explicitly update the data set for metadata
changes if | remember correctly. These changes have been merged into the master branch of their respective repositories.

The migration to nested metadata attributes is now complete as well, although we currently only support DataCite 4.1. If you could add support
for that, it would be very helpful to us. If not, adding a DataCite 3.1 generator on our end wouldn’t require an inordinate amount of work.

| think that the last things that we have to do are to compile the list of file formats and decide what to do about data set updates. Once we have
that done, | think we can revisit the approval process. | could easily be missing something, though.
